%global momorel 9
Summary: Mathematical Markup Language (MathML) DTDs
Name: mathml-dtds
Version: 2.0
Release: %{momorel}m%{?dist}
Group: Applications/Text
License: see "mathml2.dtd" and see "xhtml-math11-f.dtd"
URL: http://www.w3.org/Math/
PreReq: xml-common >= 0.6.3-12k
PreReq: fileutils
PreReq: libxml2 >= 2.4.8
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: unzip
Source0: http://www.w3.org/TR/MathML2/XHTML-MathML-20010221.zip
Source1: xml.cat
Source2: sgmlcatalog-2.0

%description
This is the Mathematical Markup Language (MathML) 2.0, an XML
application for describing mathematical notation and capturing both
its structure and content.

%prep
%setup -q -c -T
# MathML 2.0
unzip %{SOURCE0}
mv XHTML-MathML-20010221 mathml-2.0
mv mathml-2.0/dtd dtd-2.0
cp %{SOURCE2} dtd-2.0/sgmlcatalog

%build

%install
rm -rf %{buildroot}
xmlinstallwithent() {
	pushd $*
	mkdir -p $DESTDIR
	install sgmlcatalog $DESTDIR/sgmlcatalog
	install *.dtd $DESTDIR
	install *.mod $DESTDIR
	install *.ent $DESTDIR
	popd
}

DESTDIR=%{buildroot}/usr/share/xml/mathml/dtd-2.0
xmlinstallwithent dtd-2.0
install %{SOURCE1} %{buildroot}/usr/share/xml/mathml/catalog

# Symlinks
mkdir -p %{buildroot}/etc/sgml
ln -s xml-mathml-2.0.cat \
	%{buildroot}/etc/sgml/xml-mathml.cat
pushd %{buildroot}
find . -type f | xargs chmod 444
popd

%clean
rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc mathml-2.0
%{_datadir}/xml/mathml/catalog
%{_datadir}/xml/mathml/dtd-2.0
%{_sysconfdir}/sgml/xml-mathml.cat

%post
##
## SGML catalog
##

# MathML 2.0
/usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/xml-mathml-2.0.cat \
	/usr/share/xml/mathml/dtd-2.0/sgmlcatalog

##
## XML catalog
##
CATALOG=/etc/xml/catalog
/usr/bin/xmlcatalog --noout --add "delegatePublic" \
	"-//W3C//DTD MathML" \
	"file:///usr/share/xml/mathml/catalog" $CATALOG
/usr/bin/xmlcatalog --noout --add "delegatePublic" \
	"-//W3C//DTD XHTML 1.1 plus MathML" \
	"file:///usr/share/xml/mathml/catalog" $CATALOG
/usr/bin/xmlcatalog --noout --add "delegatePublic" \
	"-//W3C//ENITTIES MathML" \
	"file:///usr/share/xml/mathml/catalog" $CATALOG
/usr/bin/xmlcatalog --noout --add "delegatePublic" \
	"-//W3C//ENITTIES Added Math Symbols: Arrow Relations for MathML" \
	"file:///usr/share/xml/mathml/catalog" $CATALOG
/usr/bin/xmlcatalog --noout --add "delegatePublic" \
	"-//W3C//ENTITIES Added Math Symbols: Binary Operators for MathML" \
	"file:///usr/share/xml/mathml/catalog" $CATALOG
/usr/bin/xmlcatalog --noout --add "delegatePublic" \
	"-//W3C//ENTITIES Added Math Symbols: Delimiters for MathML" \
	"file:///usr/share/xml/mathml/catalog" $CATALOG
/usr/bin/xmlcatalog --noout --add "delegatePublic" \
	"-//W3C//ENTITIES Added Math Symbols: Negated Relations for MathML" \
	"file:///usr/share/xml/mathml/catalog" $CATALOG
/usr/bin/xmlcatalog --noout --add "delegatePublic" \
	"-//W3C//ENTITIES Added Math Symbols: Ordinary for MathML" \
	"file:///usr/share/xml/mathml/catalog" $CATALOG
/usr/bin/xmlcatalog --noout --add "delegatePublic" \
	"-//W3C//ENTITIES Added Math Symbols: Relations for MathML" \
	"file:///usr/share/xml/mathml/catalog" $CATALOG
/usr/bin/xmlcatalog --noout --add "delegatePublic" \
	"-//W3C//ENTITIES Greek Symbols for MathML" \
	"file:///usr/share/xml/mathml/catalog" $CATALOG
/usr/bin/xmlcatalog --noout --add "delegatePublic" \
	"-//W3C//ENTITIES Math Alphabets: Fraktur for MathML" \
	"file:///usr/share/xml/mathml/catalog" $CATALOG
/usr/bin/xmlcatalog --noout --add "delegatePublic" \
	"-//W3C//ENTITIES Math Alphabets: Open Face for MathML" \
	"file:///usr/share/xml/mathml/catalog" $CATALOG
/usr/bin/xmlcatalog --noout --add "delegatePublic" \
	"-//W3C//ENTITIES Math Alphabets: Script for MathML" \
	"file:///usr/share/xml/mathml/catalog" $CATALOG
/usr/bin/xmlcatalog --noout --add "delegatePublic" \
	"-//W3C//ENTITIES General Technical for MathML" \
	"file:///usr/share/xml/mathml/catalog" $CATALOG
/usr/bin/xmlcatalog --noout --add "delegatePublic" \
	"-//W3C//ENTITIES Box and Line Drawing for MathML" \
	"file:///usr/share/xml/mathml/catalog" $CATALOG
/usr/bin/xmlcatalog --noout --add "delegatePublic" \
	"-//W3C//ENTITIES Russian Cyrillic for MathML" \
	"file:///usr/share/xml/mathml/catalog" $CATALOG
/usr/bin/xmlcatalog --noout --add "delegatePublic" \
	"-//W3C//ENTITIES Non-Russian Cyrillic for MathML" \
	"file:///usr/share/xml/mathml/catalog" $CATALOG
/usr/bin/xmlcatalog --noout --add "delegatePublic" \
	"-//W3C//ENTITIES Diacritical Marks for MathML" \
	"file:///usr/share/xml/mathml/catalog" $CATALOG
/usr/bin/xmlcatalog --noout --add "delegatePublic" \
	"-//W3C//ENTITIES Added Latin 1 for MathML" \
	"file:///usr/share/xml/mathml/catalog" $CATALOG
/usr/bin/xmlcatalog --noout --add "delegatePublic" \
	"-//W3C//ENTITIES Added Latin 2 for MathML" \
	"file:///usr/share/xml/mathml/catalog" $CATALOG
/usr/bin/xmlcatalog --noout --add "delegatePublic" \
	"-//W3C//ENTITIES Numeric and Special Graphic for MathML" \
	"file:///usr/share/xml/mathml/catalog" $CATALOG
/usr/bin/xmlcatalog --noout --add "delegatePublic" \
	"-//W3C//ENTITIES Publishing for MathML" \
	"file:///usr/share/xml/mathml/catalog" $CATALOG
/usr/bin/xmlcatalog --noout --add "delegatePublic" \
	"-//W3C//ENTITIES Extra for MathML" \
	"file:///usr/share/xml/mathml/catalog" $CATALOG
/usr/bin/xmlcatalog --noout --add "delegatePublic" \
	"-//W3C//ENTITIES Aiases for MathML" \
	"file:///usr/share/xml/mathml/catalog" $CATALOG
/usr/bin/xmlcatalog --noout --add "delegateSystem" \
	"http://www.w3.org/TR/MathML2" \
	"file:///usr/share/xml/mathml/catalog" $CATALOG
/usr/bin/xmlcatalog --noout --add "delegateURI" \
	"http://www.w3.org/TR/MathML2/" \
	"file:///usr/share/xml/mathml/catalog" $CATALOG

%postun
##
## SGML catalog
##

# Update the centralized catalog corresponding to this version of the DTD
# MathML 2.0
if [ ! -d /usr/share/xml/mathml/dtd-2.0 ]; then
	/usr/bin/xmlcatalog --sgml --noout --del \
		/etc/sgml/xml-mathml-2.0.cat \
		/usr/share/xml/mathml/dtd-2.0/sgmlcatalog
fi

##
## XML catalog
##
if [ ! -f /usr/share/xml/mathml/catalog ]; then
	CATALOG=/etc/xml/catalog
	/usr/bin/xmlcatalog --noout --del \
		"file:///usr/share/xml/mathml/catalog" $CATALOG
fi

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0-9m)
- rebuild against gcc43

* Tue May 18 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0-8m)
- add SOURCE

* Mon Mar 22 2004 Toru Hoshina <t@momonga-linux.org>
- (2.0-7m)
- revised spec for enabling rpm 4.2.
- add /usr/share/xml/mathml/catalog, however is it necessary? I'm not sure...

* Thu Nov 20 2003 zunda <zunda at freeshell.org>
- (2.0-6m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Wed May 22 2002 Shingo Akagaki <dora@kondara.org>
- (2.0-4k)
- %post, %preun script bug fix. (mousukoshi)

* Sun May 19 2002 Kenta MURATA <muraken@kondara.org>
- (2.0-2k)
- first release.
